C$$$$$
C
C General common blocks 
C
C$$$$
C     KFLAG says what sort of work to do.
C     It is read from input.d, third number on the first line.
C     See cases in subroutine thermos in thermostats.f. 
C     -1 is friction plus random force.
C     1 is a Berndstein thermostat.
C     2 means to set all the velocities to zero after each timestep.
C     3 is an Evans-Hoover thermostat.
C     4 has no significance whatsoever; I'm hoping that will give me
C       simple physics.
C     5 also calls BERE to do a Berndstein thermostat.
C     6 means to do energy minimization.
C     8 also has significance, but I don't know what it means yet.
C       vscale sets kflag to 8 temporarily then restores it to its old
C       value.
C     KEND is apparently the total number of neighbors, which must be
C     less than or equal to nlmax.
      COMMON/KXIS1/NRA,NLA,NP,NAPL,NMA,NTA,KVC,MAXKB,NATOM,KFLAG,NLR,KEND
C     KT and KT2 are inverse mappings of each other; see
C     read_write.f.  The index into KT is an atomic number, and the
C     result is an index into XMASS and SIG and EPS, which old the
C     Lennard-Jones parameters as described in input.d.
C     KTYPE is the KT value for each atom in the scene.
C     ITR is the thermostat flag, last column in the first batch of
C     rows in coord.d.  Meaning is described in Structures/READMD.
C     IPOT is the potential flag, third line of input.d.
      COMMON/KXIS3/KB,LCHK,NCHK(NSMAX),KCHK,KTYPE(NPMAX),KT(100)
     &,KT2(100),ITR(NPMAX),MLIST(NPMAX),NLIST(NPMAX),IPOT,ILJ,KTMAX 
     &,NOA(NTYPES) ,LSTEP ,nxmol
C     For the next ones, NPMAX is the maximum number of atoms, set in
C     parameters.inc.  3 is the number of dimensions of space (X = 0, Y
C     = 1, Z = 2).  R0 is position.  I don't know the others; they are
C     apparently some state information for the Nordsieck
C     predictor-corrector algorithm.  (TSF)
      COMMON/C0/R0(NPMAX,3),R1(NPMAX,3),R2(NPMAX,3),R3(NPMAX,3)
     &,R4(NPMAX,3)
      COMMON/AXIS1/HEAD(20)
C     RNP(i, j) is the j'th coordinate of the force on atom i.
      COMMON/CNP/RNP(NPMAX,3)
      COMMON/C0L/R0L(NPMAX,3)
      COMMON/CDA/DAX(NPMAX),DAY(NPMAX),DAZ(NPMAX)
C     CUBE is the dimensions of the periodic cube that everything is
C     confined into.  CUBE2(i) is set to CUBE(i)/2 in several places in
C     the code, and never to anything else.
      COMMON/XIS3/RLL,CUBE(3),CUBE2(3),TOTE,ECONV,ENPR
      COMMON/XIS4/EPSI,SIGMA,XMASS(NTYPES)
C     Delta is the timestep in femtoseconds, matching code in
C     read_write.f against documentation in READMD.
C     Can't find any use of TSTEP.
      COMMON/XIS7/DELTA,TSTEP,EPAR1,EPAR2,HDEL(NSMAX),TTIME,TIME 
      COMMON/XIS1/PSEED,GSIG,BET,TR,TEM,WD,PI2,DNLA,
     &EN(NSMAX),pi,GL(3*NPMAX)
C     F02, F12, and F32 are Nordsieck predictor-corrector coefficients,
C     set once to constants in pred_corr.f.  Can't find f42 or f52 used
C     anywhere.  DELTSQ is set to (delta ** 2) / 2 in several places in
C     the code, and never anything else.
      COMMON/XIS2/F02,F12,F32,F42,F52,DELTSQ
      COMMON/XIS11/XKE(NLMAX),XKEA,TTCONV,PCONV
      COMMON/ETT/ETOT(NSMAX),eatom(npmax) 
      COMMON/CRAN/QBASE,QA1,QA2,QB1,QB2
      COMMON/NNREM/NR,IREM(NPMAX),KREM(NPMAX),NREM
      COMMON/PEN/PENET
